import { Command } from '@oclif/core';
import { ITemplateData } from "../create/templateProcessor";
export interface ContractLocator {
    chainId: number;
    address: string;
    name: string;
}
export default class Refresh extends Command {
    static description: string;
    private dir;
    static SRC_XML_FILE: string;
    static hardHatTemplate: string;
    catch(error: Error): Promise<void>;
    run(): Promise<void>;
    getContract(values: any[], templateDef: ITemplateData): ContractLocator;
    private handleExistingProject;
}
